Subject: Re: Is com0 a reserved name ?
From: "Johan Bezem" <[email-masked]>
To: "Rainford Alan" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 09 Sep 2002 22:22:42 +0200

Yes, just like 'com1' 'com2' up to (AFAIK) 'com9', and 'lpt1', 'lpt2',
'lpt2', 'prn' and all those old-fashioned DOS-device names (sigh). This was
the case in DOS version 3.x (maybe even before), and still is in all windows
versions (for compatibility reasons in the respective DOS-boxes), again
AFAIK.
Years ago, this took me two days of debugging; they've been more than made
up for by being able to guide several younger colleagues since then, however
;-)

Ciao,

Johan Bezem
CSK Software AG

"Rainford, Alan" wrote:
> 
> When I attempt to create a directory name com0 (no not for the device) I get
> "mkdir: `com0' exits but is not a directory.  No matter where I attempt to
> make the directory I get this message.  If I create the directory under the
> windows cmd shell and then do a ls the directory will appear as
> "crw-rw-rw-".
> 
> Alan Rainford
> Gtech Corp.
> Springfield, Il 62702
> [email-masked]
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/